Bug 437510 - Notification says "Moving" while Dolphin undoes mass renaming
Summary: Notification says "Moving" while Dolphin undoes mass renaming
Status: REOPENED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-22 16:12 UTC by Patrick Silva
Modified: 2022-08-02 12:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.97


Attachments
screenshot (19.90 KB, image/png)
2021-05-22 16:12 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-05-22 16:12:35 UTC
Created attachment 138685 [details]
screenshot

SUMMARY
While Dolphin undoes mass renaming (2140 jpg files in my case), Plasma
displays a notification with a ping-pong "progress" bar saying "Moving".
When the operation is completed, another notification says "Moving (Finished)".
Please see the attached screenshot. 

Saying "Moving" when the user did not move anything does not sound correct,
it is confusing instead.

STEPS TO REPRODUCE
1. open a folder containing thousands of files
2. select all files by pressing ctrl+a
3. press F2
4. type another file name and press enter/return
5. undo mass renaming by pressing ctrl+z

EXPECTED RESULT
do not say "moving" when the user does not move anything

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.8.0-53-generic (64-bit)
Graphics Platform: Wayland
Comment 1 Nate Graham 2021-05-26 17:01:14 UTC
Yeah technically renaming is a move operation, but the UI should display more accurate text here.
Comment 2 Bug Janitor Service 2022-07-12 09:43:01 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kio/-/merge_requests/909
Comment 3 Ahmad Samir 2022-07-25 12:48:14 UTC
Git commit 0bf55cca04fd59f6dffd334d22a950d7209213f7 by Ahmad Samir.
Committed on 25/07/2022 at 12:34.
Pushed by ahmadsamir into branch 'master'.

FileUndoManager: fix job description when undoing a batch-renaming

It should be "Renaming", not "Moving".
FIXED-IN: 5.97

M  +28   -5    src/widgets/fileundomanager.cpp

https://invent.kde.org/frameworks/kio/commit/0bf55cca04fd59f6dffd334d22a950d7209213f7
Comment 4 Patrick Silva 2022-07-31 12:19:15 UTC
Not completely fixed. The notification is still saying 'Moving' when I undo mass renaming by pressing ctrl+z.